Mail archive
alpine-aports

[alpine-aports] [PATCH] main/mdocml: upgrade to 1.14.1

From: Daniel Sabogal <dsabogalcc_at_gmail.com>
Date: Tue, 21 Feb 2017 18:08:16 -0500

---
 main/mdocml/APKBUILD               | 26 ++++++-------------------
 main/mdocml/gcc6-fix.patch         | 15 ---------------
 main/mdocml/shared-libmandoc.patch | 39 ++++++++++++++++++++++++++------------
 3 files changed, 33 insertions(+), 47 deletions(-)
 delete mode 100644 main/mdocml/gcc6-fix.patch
diff --git a/main/mdocml/APKBUILD b/main/mdocml/APKBUILD
index d7968759de..9e5537a6dc 100644
--- a/main/mdocml/APKBUILD
+++ b/main/mdocml/APKBUILD
_at_@ -1,18 +1,17 @@
 # Maintainer:  Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=mdocml
-pkgver=1.13.4
-pkgrel=1
+pkgver=1.14.1
+pkgrel=0
 pkgdesc="mdoc/man compiler"
 url="http://mdocml.bsd.lv/"
 arch="all"
 license="BSD"
 depends=""
-makedepends="sqlite-dev zlib-dev"
+makedepends="zlib-dev"
 install="$pkgname.post-deinstall"
 triggers="$pkgname-apropos.trigger=/usr/share/man/*"
 subpackages="$pkgname-doc $pkgname-dev man::noarch $pkgname-apropos $pkgname-soelim"
 source="http://mdocml.bsd.lv/snapshots/$pkgname-$pkgver.tar.gz
-	gcc6-fix.patch
 	shared-libmandoc.patch
 	pager.patch
 	mdocml-apropos.trigger
_at_@ -39,7 +38,7 @@ build() {
 
 package() {
 	cd "$builddir"
-	make -j1 DESTDIR="$pkgdir" base-install db-install || return 1
+	make -j1 DESTDIR="$pkgdir" base-install lib-install || return 1
 	install -Dm644 "$srcdir"/man.conf "$pkgdir"/etc/man.conf || return 1
 	for X in usr/bin/apropos usr/bin/whatis usr/bin/man usr/sbin/makewhatis
 		do
_at_@ -72,21 +71,8 @@ soelim() {
 		"$subpkgdir"/usr/bin/ || return 1
 }
 
-md5sums="797d4f0e112479f8861e03a72f8b8b01  mdocml-1.13.4.tar.gz
-49f4254a87d0b391a7cd3b00873ea50a  gcc6-fix.patch
-07aff0e8b4766aa22bddc2969aa158cf  shared-libmandoc.patch
-1b7b756e3a996f146971785bd3aeede5  pager.patch
-8c2f14c5bdefe45a119638b84588dde1  mdocml-apropos.trigger
-6e893bef0cf680eec807b230e6619d27  man.conf"
-sha256sums="0a55c1addb188071d6f784599303656b8465e98ec6b2f4f264e12fb96d79e0ef  mdocml-1.13.4.tar.gz
-7725e66a8a9544e2f4da89da6c61d1ae19956555087e842c1174251aa1f4720a  gcc6-fix.patch
-b4d3498a831fb840447ece0662b0f97831dc147cfb19d3ffbb55ce0fdd9d8763  shared-libmandoc.patch
-b1a94bc58655934f9356dcbdf16847fbbd30b2863b1e54b87721442e88ae6d0d  pager.patch
-45460578edf6262db83fc8215164530c6acd2d7d644908b36921a4a292f66dad  mdocml-apropos.trigger
-3381c6ceb99e7db1404fdb44419040c3b441a251d594292e53545b5e4e378e2b  man.conf"
-sha512sums="1d671651ca1bb81d0de86e34de8b95a3bde5b335bda03d1b83b601e26eed167af6ef8bac6f9935603e57514f2734cd8f979ed556c76db629dd5c685892d71ec2  mdocml-1.13.4.tar.gz
-1c4a9b5a9e5ffa77ca3505f857d58f1070691bfb9faa6467ae662fff16b44b39038d8defff8a3c84f74fc62bfc4bdf8a96e43bf11d38663abc2ec40dd60992e8  gcc6-fix.patch
-3900787215c7b44fd731bb34a2678a99c54396f27a14d15ad7a0a7483a2a1882be701b26aa7fe56805879d1cb127877453ba5b0ef87df68e435be0053d1200b6  shared-libmandoc.patch
+sha512sums="90f00297d162faa404fe4e530f95422c210b8d23a0be5a115c2c8c17255d366e224444901842affb06ed8aaf8febd3e5c79966ff713fa7daf00e8c48b7a857c6  mdocml-1.14.1.tar.gz
+ca0f68f6d3d67800eaae7649dacddd04b9159c636bc922840cdb30b741026e708a9527571af656b22642c83b2dc0f9cd9f0b83b43db7a64b0e15fb0654e935a6  shared-libmandoc.patch
 04947a275df99298591c2a46fb81b74c7c3fcb9f3cf8fb718cf1e32eeae5409e90a3bca89e542f8aa1b30792e837fd3d716303a636d1a3ec165fbb9529546a64  pager.patch
 704bc159acfc639e10c7d505372d303cb5784c8e9eb30084236ad89978978d4ba74f3127d4597d78594b64182c47a00c011f8bb3271d2b784f03a2a411ccb1d8  mdocml-apropos.trigger
 0723c32ab70e5b1c77768ca78d7437b26bed19b90b27876b10cc463359c41332befc0105fc1e23ceae48de5a892f1aa7ac60ef7eb0b6b8f1616726c4300632fe  man.conf"
diff --git a/main/mdocml/gcc6-fix.patch b/main/mdocml/gcc6-fix.patch
deleted file mode 100644
index 01d5b2088a..0000000000
--- a/main/mdocml/gcc6-fix.patch
+++ /dev/null
_at_@ -1,15 +0,0 @@
---- mdocml-1.13.4/configure.orig
-+++ mdocml-1.13.4/configure
-_at_@ -139,10 +139,10 @@
- singletest() {
- 	cat 1>&3 << __HEREDOC__
- ${1}: testing...
--${COMP} ${3} -o test-${1} test-${1}.c
-+${COMP} -o test-${1} test-${1}.c ${3}
- __HEREDOC__
- 
--	if ${COMP} ${3} -o "test-${1}" "test-${1}.c" 1>&3 2>&3; then
-+	if ${COMP} -o "test-${1}" "test-${1}.c" ${3} 1>&3 2>&3; then
- 		echo "${1}: ${CC} succeeded" 1>&3
- 	else
- 		echo "${1}: ${CC} failed with $?" 1>&3
diff --git a/main/mdocml/shared-libmandoc.patch b/main/mdocml/shared-libmandoc.patch
index 9f1029f4a2..f01954fc94 100644
--- a/main/mdocml/shared-libmandoc.patch
+++ b/main/mdocml/shared-libmandoc.patch
_at_@ -1,6 +1,6 @@
---- mdocml-1.13.4/Makefile.orig
-+++ mdocml-1.13.4/Makefile
-_at_@ -311,9 +311,13 @@
+--- mdocml-1.14.1/Makefile.orig
++++ mdocml-1.14.1/Makefile
+_at_@ -344,9 +344,13 @@
  WWW_OBJS	 = mdocml.tar.gz \
  		   mdocml.sha256
  
_at_@ -14,25 +14,30 @@
  
  # === DEPENDENCY HANDLING ==============================================
  
-_at_@ -340,7 +344,7 @@
+_at_@ -369,7 +373,7 @@
  	rm -f Makefile.local config.h config.h.old config.log config.log.old
  
  clean:
 -	rm -f libmandoc.a $(LIBMANDOC_OBJS) $(COMPAT_OBJS)
 +	rm -f $(LIBMANDOC) $(LIBMANDOC_OBJS) $(COMPAT_OBJS)
- 	rm -f mandoc $(BASE_OBJS) $(DB_OBJS)
+ 	rm -f mandoc $(MAIN_OBJS)
  	rm -f man.cgi $(CGI_OBJS)
- 	rm -f manpage $(MANPAGE_OBJS)
-_at_@ -360,7 +364,7 @@
- 	$(INSTALL_PROGRAM) mandoc demandoc $(DESTDIR)$(BINDIR)
- 	$(INSTALL_PROGRAM) soelim $(DESTDIR)$(BINDIR)/$(BINM_SOELIM)
- 	ln -f $(DESTDIR)$(BINDIR)/mandoc $(DESTDIR)$(BINDIR)/$(BINM_MAN)
+ 	rm -f mandocd catman $(MANDOCD_OBJS)
+_at_@ -410,11 +414,11 @@
+ 	$(INSTALL_MAN) makewhatis.8 \
+ 		$(DESTDIR)$(MANDIR)/man8/$(BINM_MAKEWHATIS).8
+ 
+-lib-install: libmandoc.a
++lib-install: $(LIBMANDOC)
+ 	mkdir -p $(DESTDIR)$(LIBDIR)
+ 	mkdir -p $(DESTDIR)$(INCLUDEDIR)
+ 	mkdir -p $(DESTDIR)$(MANDIR)/man3
 -	$(INSTALL_LIB) libmandoc.a $(DESTDIR)$(LIBDIR)
 +	$(INSTALL_LIB) $(LIBMANDOC) $(DESTDIR)$(LIBDIR)
  	$(INSTALL_LIB) man.h mandoc.h mandoc_aux.h mdoc.h roff.h \
  		$(DESTDIR)$(INCLUDEDIR)
- 	$(INSTALL_MAN) mandoc.1 demandoc.1 $(DESTDIR)$(MANDIR)/man1
-_at_@ -405,20 +409,20 @@
+ 	$(INSTALL_MAN) mandoc.3 mandoc_escape.3 mandoc_malloc.3 \
+_at_@ -487,26 +491,26 @@
  	_at_echo "$@ is out of date; please run ./configure"
  	_at_exit 1
  
_at_@ -56,6 +61,16 @@
 +man.cgi: $(CGI_OBJS) $(LIBMANDOC)
 +	$(CC) $(STATIC) -o $_at_ $(LDFLAGS) $(CGI_OBJS) $(MANDOCLIB) $(LDADD)
  
+-mandocd: $(MANDOCD_OBJS) libmandoc.a
+-	$(CC) -o $_at_ $(LDFLAGS) $(MANDOCD_OBJS) libmandoc.a $(LDADD)
++mandocd: $(MANDOCD_OBJS) $(LIBMANDOC)
++	$(CC) -o $_at_ $(LDFLAGS) $(MANDOCD_OBJS) $(MANDOCLIB) $(LDADD)
+ 
+-catman: catman.o libmandoc.a
+-	$(CC) -o $_at_ $(LDFLAGS) catman.o libmandoc.a $(LDADD)
++catman: catman.o $(LIBMANDOC)
++	$(CC) -o $_at_ $(LDFLAGS) catman.o $(MANDOCLIB) $(LDADD)
+ 
 -demandoc: $(DEMANDOC_OBJS) libmandoc.a
 -	$(CC) -o $_at_ $(LDFLAGS) $(DEMANDOC_OBJS) libmandoc.a $(LDADD)
 +demandoc: $(DEMANDOC_OBJS) $(LIBMANDOC)
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Feb 21 2017 - 18:08:16 GMT